pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| ConstNeighbors5 (void)
void | clear (void)

## Public Attributes

const OctNode * | neighbors [5][5][5]

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5

Definition at line 241 of file octree_poisson.h.

## Constructor & Destructor Documentation

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::ConstNeighbors5 | ( | void |  | ) |

Definition at line 1606 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear().

## Member Function Documentation

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::clear | ( | void |  | ) |

Definition at line 1613 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

## Member Data Documentation

template<class NodeData, class Real = float>

const OctNode* pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::neighbors[5][5][5]

Definition at line 244 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp